Bug 481523 - Review Request: rubygem-trollop - A command-line option parsing library for ruby.
Review Request: rubygem-trollop - A command-line option parsing library for r...
Status: CLOSED DUPLICATE of bug 525210
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 19:29 EST by Kyle McMartin
Modified: 2015-08-31 23:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 12:49:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add rubygem-hoe dependency (408 bytes, patch)
2009-06-11 12:55 EDT, Wesley Tanaka
no flags Details | Diff

  None (edit)
Description Kyle McMartin 2009-01-25 19:29:31 EST
Spec URL: http://kyle.fedorapeople.org/rubygem-ditz/rubygem-trollop.spec
SRPM URL: http://kyle.fedorapeople.org/rubygem-ditz/rubygem-trollop-1.10.2-0.fc10.src.rpm
Description: A command-line option parsing library for ruby. Trollop is designed to provide the maximal amount of GNU-style argument processing in the minimum
number of lines of code (for you, the programmer).
Comment 1 Kyle McMartin 2009-01-25 20:41:59 EST
(Dependency of rubygem-ditz.)
Comment 2 Wesley Tanaka 2009-06-11 12:55:31 EDT
Created attachment 347439 [details]
add rubygem-hoe dependency

rpmbuild --rebuild rubygem-trollop-1.10.2-0.fc10.src.rpm (and also on rubygem-ditz-0.5-0.fc10.src.rpm)
produces this error:

rake aborted!
no such file to load -- hoe

The error (both for trollop and ditz) went away after running
yum install rubygem-hoe

so I think this change might be needed to the .spec file
Comment 3 Jan Klepek 2009-07-08 15:02:08 EDT
1] use global instead of define https://fedoraproject.org/wiki/Packaging:Ruby
i will check deeper during next days
Comment 4 Jan Klepek 2009-07-10 07:03:24 EDT
1] use global
2] missing dependency (rubygem-hoe)
3] complaining rpmlint
rubygem-trollop.noarch: W: summary-ended-with-dot A command-line option parsing library for ruby.
rubygem-trollop.noarch: W: incoherent-version-in-changelog 1.10.2-1 ['1.10.2-0.fc10', '1.10.2-0']
rubygem-trollop.src: W: summary-ended-with-dot A command-line option parsing library for ruby.
rubygem-trollop.src: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 10)
Comment 5 Jan Klepek 2009-08-05 09:01:09 EDT
ping?
Comment 6 Jan Klepek 2009-09-23 12:49:11 EDT
no response for long time, closing in favor of #525210

*** This bug has been marked as a duplicate of bug 525210 ***

Note You need to log in before you can comment on or make changes to this bug.